> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organisation details



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/organisation/{organisation_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/organisation/{organisation_id}:
    get:
      tags:
        - Organisation API
      summary: Get organisation details
      operationId: get_organisation_endpoint_api_v1_org_organisation__organisation_id__get
      parameters:
        - in: path
          name: organisation_id
          required: true
          schema:
            format: uuid4
            title: Organisation Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganisationFull'
          description: Organisation retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Organisation not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    OrganisationFull:
      properties:
        ai_insight_exclude_system_namespaces:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ai Insight Exclude System Namespaces
        ai_insight_high_restart_recency_hours:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ai Insight High Restart Recency Hours
        ai_insight_high_restart_threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ai Insight High Restart Threshold
        auto_upgrade_agent:
          default: false
          title: Auto Upgrade Agent
          type: boolean
        created_at:
          title: Created At
        mfa_required:
          default: false
          title: Mfa Required
          type: boolean
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
        proactive_ai_insights_enabled:
          default: false
          title: Proactive Ai Insights Enabled
          type: boolean
        security_baseline_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Security Baseline Enabled
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        updated_at:
          title: Updated At
        user_current:
          default: false
          title: User Current
          type: boolean
        user_is_admin:
          default: false
          title: User Is Admin
          type: boolean
        users:
          items:
            $ref: '#/components/schemas/OrganisationUser'
          title: Users
          type: array
      required:
        - organisation_id
        - users
      title: OrganisationFull
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrganisationUser:
      properties:
        email:
          anyOf:
            - format: email
              type: string
            - type: 'null'
          title: Email
        id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Id
        invite_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Invite Id
        role:
          anyOf:
            - enum:
                - member
                - admin
                - read-only
              type: string
            - type: 'null'
          title: Role
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        user_current:
          anyOf:
            - type: boolean
            - type: 'null'
          title: User Current
      title: OrganisationUser
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````